- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Class List
- Class Members

# axutil_env Struct Reference
[environment]

Axis2 Environment struct. More...

`#include <axutil_env.h>`

List of all members.

## Public Attributes
axutil_allocator_t * | allocator
axutil_error_t * | error
axutil_log_t * | log
axis2_bool_t | log_enabled
axutil_thread_pool_t * | thread_pool
int | ref

## Detailed Description

Axis2 Environment struct.

Environment acts as a container for error, log, memory allocator and threading routines

## Member Data Documentation

axutil_allocator_t* axutil_env::allocator

Memory allocation routines

axutil_error_t* axutil_env::error

Error handling

axutil_log_t* axutil_env::log

Logging routines

axis2_bool_t axutil_env::log_enabled

This flag indicate whether logging is enabled or not

axutil_thread_pool_t* axutil_env::thread_pool

Thread pool routines

The documentation for this struct was generated from the following file:

- axutil_env.h